Subject: Re: [mpls-tp] [PWE3] VCCV usage

From: Yaakov Stein <[email-masked]>
Date: Tue, 4 Jan 2011 16:26:26 +0000

Neil

Sorry that it took me some time to get back to reading PWE email ...

First, what I questioned was not the CI per se,
but the processing required for it. While I wholeheartedly agree
with your remark on the value of consistent CI,
I don't agree with the requirement that in every case
the processing has to be the same.

Second, as you mention yourself, very early on in PWE we decided
to follow the MPLS tradition of not having self-describing packets.
I was very much against this decision (you may recall that my early version
of the control word had a type identifier), but once this decision was taken 
it obviated any further requirement of consistency.

Third, I was not speaking specifically of MPLS-TP.
I was speaking of the deployment of PWs over IP using RFC 4023.
This has been around for years.

Y(J)S

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Wednesday, December 01, 2010 09:48
To: Yaakov Stein
Cc: [email-masked]; [email-masked]
Subject: RE: [PWE3] VCCV usage

Hi Yaakov...you may like to ponder on this point (I have raised it several times before, but for some reason it gets ignored...I wonder why? ;-)) ....

Any layer network SHOULD (though this really ought to be MUST) have consistent CI (Characteristic Information).  There are many reasons for this rather obvious requirement statement, but a key one is that if misconnectivity occurs, then wherever the misdirected DP traffic units and OAM arrive they can be correctly processed...this means that all the functional fields of DP traffic units and DP OAM MUST have unambiguous functional meaning.  I think this statement is so obviously true that no sane person could disagree with it.

Aside=> The above requirement is true for all 3 network modes, but it is most important in a co-ps mode network (as this has the richest potential set of misconnectivity defects) where short-cuts have been taken on child traffic unit labelling (ie omit SA label, DA label reduced to link significant, omit PID label) due to the a-priori-known single-source property of the parent connection.  However, this a-priori-known single-source property of a parent connection is broken under misconnectivity defects and cannot, indeed MUST NOT, be assumed...ergo why child traffic units and OAM MUST have consistent CI.

You are raising one case below where there is non-consistent CI.....but there are many more.  Even the 'label' (there is only one) in an MPLS traffic unit is not consistent of its meaning.  Then we have lots of choices for OAM.  Now factor-in mixed cases of LSP sublayering and LSP layering...the former LSPs reside in the *same layer network* whilst the latter LSPs reside in *different layer networks* (this is a rather more serious self-inflicted consequential problem BTW).

Do you think it is sensible given the above is 'known' (and for some time) that such mistakes should be carried over into MPLS-TP?....esp given this is supposed to be a transparent transport network (hint=> this should never have sublayering and esp not PWs as all clients MUST be treated equally...else we do not have a transparent transport network).

Please excuse me copying this to the MPLS-TP list as my observation is clearly germane to that WG too.

regards, Neil